### Method

# RB RhythmDBQueryModel compute_status_normal

#### Declaration [src]

    char*
    rhythmdb_query_model_compute_status_normal (
      RhythmDBQueryModel* model,
      const char* singular,
      const char* plural
    )

#### Description [src]

Constructs a status string describing the contents of the model.

#### Parameters

`singular`

  Type: `const char*`

  Singular form of the pattern describing the number of entries (“%d song”).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`plural`

  Type: `const char*`

  Plural form of the pattern describing the number of entries (“%d songs”).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

Allocated status string, to be freed by the caller.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.